import { rcWindow as r } from "./index-window.store.js";
class t {
  hasIntercom() {
    return r.hasOwnProperty("Intercom");
  }
  showIntercom() {
    r.Intercom("show");
  }
  hasIonosSupport() {
    return document.querySelector("[data-target-id=oao-navi-support-button]") !== null;
  }
  showIonosSupport() {
    try {
      document.querySelector("[data-target-id=oao-navi-support-button]").click();
    } catch {
    }
  }
  hasAnySupportService() {
    return this.hasIntercom() || this.hasIonosSupport();
  }
  show() {
    try {
      this.hasIntercom() ? this.showIntercom() : this.hasIonosSupport() && this.showIonosSupport();
    } catch {
    }
  }
}
const p = new t();
export {
  p as supportService
};
